# Workshop: Introduction to Cube Cloud

During the workshop, you’ll learn about developer tooling and the developer experience in Cube Cloud to keep developer productivity high by using version control and deployment automation. You get observability out-of-the-box in Cube Cloud. You’ll learn how to leverage alerting to get alerted when issues happen and get insight into the metrics to see why issues happen. You’ll learn how to improve the performance of Cube apps in Cube Cloud with a dedicated, auto-scaling Cube Store cluster to build pre-aggregations faster. This will save you time and money!

## Agenda

In this 60-minute workshop you'll learn about:

- Recap of previous workshops & Product updates
- Introduction to Cube Cloud
- Hands-on lab with Cube Cloud
- Dev tooling - Learn about developer tooling and the developer experience in Cube Cloud to keep developer productivity high
  - Cube app migration
  - Deployment automation
  - Version control
  - Development mode
- Observability - Learn how to leverage the observability you get out-of-the-box in Cube Cloud to get alerted when issues happen and get insight into the metrics to see why issues happen
  - Debugging 
    - Activity logs
    - Resource logs
  - Queries
    - API logs and traces
    - SQL queries and traces
  - Metrics
    - API requests and response times
    - Database requests and response times
  - Alerting
- Performance - Learn how to improve the performance of Cube apps in Cube Cloud with a dedicated, auto-scaling Cube Store cluster to build pre-aggregations faster
  - Pre-aggregations
  - Scaling with Cluster mode
  - Cube Store
- Q&A

## Cube deployment with TCP-H scale 1

- Boilerplate Cube deployment
- PostgreSQL
- TCP-H scale 1, size 1.5M rows and 1 GB

## Setup

Fork, or copy this Cube app to your own GitHub account.
Import the repo to your Cube Cloud deployment, or set up a deployment from scratch by using the environment variables from the `.env` file or the [prep guide](https://descriptive-reply-0b7.notion.site/Workshop-Introduction-to-Cube-Cloud-Prep-Guide-cf2a3c6d332c41ba98afdb8e3911ff17).
